%define beta 1
Distribution:   CCux Linux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:           qt-creator
Version:        2.1.0
Release:        1
Summary:        Lightweight and cross-platform IDE for Qt

Group:          Development/Tools
License:        LGPLv2 with exceptions
URL:            http://www.qtsoftware.com/developer/qt-creator
Source0:        http://download.qtsoftware.com/qtcreator/%name-%version%{?beta:-beta%{beta}}-src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686

Source1:       qtcreator.desktop

BuildRequires: desktop-file-utils

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: qt4-devel >= 4.7

%description
Qt Creator (previously known as Project Greenhouse) is a new,
lightweight, cross-platform integrated  development environment (IDE)
designed to make development with the Qt application framework
even faster and easier.

%prep
%setup -q -n %name-%version%{?beta:-beta%{beta}}-src

%build
QTDIR="%{_qt4_prefix}" ; export QTDIR ; \
PATH="%{_qt4_bindir}:$PATH" ; export PATH ; \
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ; \
mkdir build
pushd build
qmake-qt4 ../qtcreator.pro
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install INSTALL_ROOT=$RPM_BUILD_ROOT/%{_prefix}
popd

desktop-file-install                                    \
--add-category="Development"                            \
--dir=%{buildroot}%{_datadir}/applications              \
%{SOURCE1}

# adjust permissions on gdb helper scripts
# so regular users can debug in qtcreator
chmod 666 $RPM_BUILD_ROOT%{_datadir}/qtcreator/gdbmacros/*.py


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README LICENSE.LGPL LGPL_EXCEPTION.TXT
%{_bindir}/qtcreator
%{_bindir}/qtcreator_process_stub
%{_libdir}/qtcreator
%{_datadir}/qtcreator
%{_datadir}/pixmaps/qtcreator_logo_*.png
%{_datadir}/applications/qtcreator.desktop
%{_datadir}/doc/qtcreator/qtcreator.qch

%changelog
* Wed Oct 13 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.1.0-1
- Version update
- experimental package branch
- beta1
- fixed permissions on gdb python helper files to allow
  regular users to debug within qtcreator
* Tue Sep 21 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.0.1-1
- Version update
- regular package branch
* Sun Jun 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.0.0-1
- Version update
- experimental package branch
- beta1
* Fri Jan 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.3.1-1
- Version update
* Fri May 29 2009 Christian Metzen <metzench@ccux-linux.de> 1.0.0-2
- fix application logo appearance
* Fri May 29 2009 Christian Metzen <metzench@ccux-linux.de> 1.0.0-1
- Initial CCux package release
